package com.sifang.modules.changes.vo;

import com.sifang.modules.changes.entity.CrmCustomerEntryTenantChangeRecordDetail;
import org.hibernate.validator.constraints.NotBlank;
import org.hibernate.validator.constraints.NotEmpty;

import java.util.List;

public class CustomerInformationChangeVo {

    private String id;

    @NotBlank(message = "保存方式不能为空！")
    private String saveType; //1暂存  2提交

    @NotBlank(message = "电站id不能为空！")
    private String entryId;

    private String powerStationCode;

    private String reason;

    private String entryStatus;

    private String confirmTrue;

    public String getConfirmTrue() {
        return confirmTrue;
    }

    public void setConfirmTrue(String confirmTrue) {
        this.confirmTrue = confirmTrue;
    }

    public String getEntryStatus() {
        return entryStatus;
    }

    public void setEntryStatus(String entryStatus) {
        this.entryStatus = entryStatus;
    }

    @NotEmpty(message = "变动明细不能为空！")
    private List<CrmCustomerEntryTenantChangeRecordDetail> details;

    public String getReason() {
        return reason;
    }

    public void setReason(String reason) {
        this.reason = reason;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getSaveType() {
        return saveType;
    }

    public void setSaveType(String saveType) {
        this.saveType = saveType;
    }

    public String getEntryId() {
        return entryId;
    }

    public void setEntryId(String entryId) {
        this.entryId = entryId;
    }

    public String getPowerStationCode() {
        return powerStationCode;
    }

    public void setPowerStationCode(String powerStationCode) {
        this.powerStationCode = powerStationCode;
    }

    public List<CrmCustomerEntryTenantChangeRecordDetail> getDetails() {
        return details;
    }

    public void setDetails(List<CrmCustomerEntryTenantChangeRecordDetail> details) {
        this.details = details;
    }
}
